## EmpathyChatroomManager EmpathyChatroomManager |

## Synopsis

                        EmpathyChatroomManagerPriv;
                        EmpathyChatroomManager;
    EmpathyChatroomManager* empathy_chatroom_manager_new    (void);
    gboolean            empathy_chatroom_manager_add        (EmpathyChatroomManager *manager,
                                                             EmpathyChatroom *chatroom);
    void                empathy_chatroom_manager_remove     (EmpathyChatroomManager *manager,
                                                             EmpathyChatroom *chatroom);
    EmpathyChatroom*    empathy_chatroom_manager_find       (EmpathyChatroomManager *manager,
                                                             McAccount *account,
                                                             const gchar *room);
    GList*              empathy_chatroom_manager_get_chatrooms
                                                            (EmpathyChatroomManager *manager,
                                                             McAccount *account);
    guint               empathy_chatroom_manager_get_count  (EmpathyChatroomManager *manager,
                                                             McAccount *account);
    void                empathy_chatroom_manager_store      (EmpathyChatroomManager *manager);

## Description

## Details

### EmpathyChatroomManagerPriv

    typedef struct _EmpathyChatroomManagerPriv EmpathyChatroomManagerPriv;

### EmpathyChatroomManager

    typedef struct {
    	GObject parent;
    } EmpathyChatroomManager;

### empathy_chatroom_manager_new ()

    EmpathyChatroomManager* empathy_chatroom_manager_new    (void);

Returns : |

### empathy_chatroom_manager_add ()

    gboolean            empathy_chatroom_manager_add        (EmpathyChatroomManager *manager,
                                                             EmpathyChatroom *chatroom);

`manager` : |
`chatroom` : |
Returns : |

### empathy_chatroom_manager_remove ()

    void                empathy_chatroom_manager_remove     (EmpathyChatroomManager *manager,
                                                             EmpathyChatroom *chatroom);

`manager` : |
`chatroom` : |

### empathy_chatroom_manager_find ()

    EmpathyChatroom*    empathy_chatroom_manager_find       (EmpathyChatroomManager *manager,
                                                             McAccount *account,
                                                             const gchar *room);

`manager` : |
`account` : |
`room` : |
Returns : |

### empathy_chatroom_manager_get_chatrooms ()

    GList*              empathy_chatroom_manager_get_chatrooms
                                                            (EmpathyChatroomManager *manager,
                                                             McAccount *account);

`manager` : |
`account` : |
Returns : |

### empathy_chatroom_manager_get_count ()

    guint               empathy_chatroom_manager_get_count  (EmpathyChatroomManager *manager,
                                                             McAccount *account);

`manager` : |
`account` : |
Returns : |

### empathy_chatroom_manager_store ()

    void                empathy_chatroom_manager_store      (EmpathyChatroomManager *manager);

`manager` : |